<?php

declare(strict_types=1);

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;

class UsersTableFilamentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $user = User::create([
            'first_name' => 'Admin',
            'cellphone' => '09123456789',
            'email' => 'info@vianasystem.com',
            'password' => Hash::make('123456789'),
        ]);
        $user->assignRole('admin');
    }
}
